import org.jetbrains.kotlin.gradle.tasks.KotlinCompile


plugins {
    id("com.squareup.sqldelight")
    kotlin("jvm") version "1.7.10"
}

group = "fr.louveauAmine"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    testImplementation(kotlin("test"))
    implementation("io.javalin:javalin:4.6.4")
    implementation("org.slf4j:slf4j-simple:2.0.1")
    implementation("com.squareup.sqldelight:sqlite-driver:1.5.3")
}

tasks.test {
    useJUnitPlatform()
}

tasks.withType<KotlinCompile> {
    kotlinOptions.jvmTarget = "1.8"
}

sqldelight {
    database("CVApiDB") {
        packageName = "fr.louveauAmine.cvApi.dao"
        sourceFolders = listOf("sqldelight")
    }
}